...
POST No. 2591723
openmanipulator-x error 입니다
2021-11-02 18:34:51 n162667613854669

https://emanual.robotis.com/docs/en/platform/openmanipulator_x/quick_start_guide/  을 보면서 코드를 그대로 복사해서 설치하고 실행했는데 OpenMANIPULATOR-X packages 단계에서 마지막에 catkin_make 만 하면은 이 오류가 떠서 진행이 안됩니다 이유를 모르겠습니다 알려주시면 감사하겠습니다 

2021-11-02 18:34:51
n162667613854669
2021-11-03 10:06:56 손의형

안녕하세요, 

 

사용하고 계신 개발환경에 대한 정보를 알려주시면 조금 더 관련있는 답변을 드릴 수 있습니다.

해당 이슈는 OpenMANIPULATOR 패키지의 문제가 아닌 libuuid 라이브러리 버전 오류로 보입니다.

일반적인 Ubuntu + ROS 환경에서는 발생하지 않은 것으로 보아 다른 개발환경에 설치된 libuuid와 충돌이 생기는 것으로 예상됩니다.

특히 Anaconda와 같은 개발환경이나 가상환경을 사용하시는 경우 우분투에서 참조하는 라이브러리 버전이 맞지 않아 발생할 수 있습니다. 

 

감사합니다.

2021-11-03 10:06:56
will_son
답변달기
웹에디터 시작 웹 에디터 끝